summaryrefslogtreecommitdiffstats
path: root/ci
diff options
context:
space:
mode:
authorTim Rozet <trozet@redhat.com>2016-01-29 01:17:24 -0500
committerTim Rozet <trozet@redhat.com>2016-01-30 01:40:15 -0500
commit13984a4de5090f961b2cf2c1923ffa72f1488343 (patch)
treedc60b9ea77f9b4599c70fbbf17019a3ef8e999b8 /ci
parent176cb1c73622c103831eae36f59d0497e4e0081c (diff)
Changes to make SFC deployments functional
Fixes include: - sfc deployments now are non-HA, and disable swift and ringbuilder as it causes issues with the 3.13 kernel - ODL Features boot is now parameterized in heat templates - SFC features boot is now set to "odl-ovsdb-sfc-rest" - Coexistence table offsets included if SFC deployment - VXLAN workaround applied for 123.123.123.x subnet if SFC Change-Id: Ide5e0b451adcb98c417e57628a51302f3123647f Signed-off-by: Tim Rozet <trozet@redhat.com>
Diffstat (limited to 'ci')
-rwxr-xr-xci/deploy.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/ci/deploy.sh b/ci/deploy.sh
index 5eabebb7..5cccb06b 100755
--- a/ci/deploy.sh
+++ b/ci/deploy.sh
@@ -782,6 +782,8 @@ function undercloud_prep_overcloud_deploy {
if [[ ${#deploy_options_array[@]} -eq 0 || ${deploy_options_array['sdn_controller']} == 'opendaylight' ]]; then
if [ ${deploy_options_array['sdn_l3']} == 'true' ]; then
DEPLOY_OPTIONS+=" -e /usr/share/openstack-tripleo-heat-templates/environments/opendaylight_l3.yaml"
+ elif [ ${deploy_options_array['sfc']} == 'true' ]; then
+ DEPLOY_OPTIONS+=" -e /usr/share/openstack-tripleo-heat-templates/environments/opendaylight_sfc.yaml"
else
DEPLOY_OPTIONS+=" -e /usr/share/openstack-tripleo-heat-templates/environments/opendaylight.yaml"
fi
@@ -957,6 +959,20 @@ EOI
echo -e "${blue}INFO: Undercloud (instack VM) has been setup to NAT Overcloud public network${reset}"
fi
fi
+
+ # for sfc deployments we need the vxlan workaround
+ if [ ${deploy_options_array['sfc']} == 'true' ]; then
+ ssh -T ${SSH_OPTIONS[@]} "stack@$UNDERCLOUD" <<EOI
+source stackrc
+set -o errexit
+for node in \$(nova list | grep -Eo "[0-9]+\.[0-9]+\.[0-9]+\.[0-9]+"); do
+ssh -T ${SSH_OPTIONS[@]} "heat-admin@\$node" <<EOF
+sudo ifconfig br-int up
+sudo ip route add 123.123.123.0/24 dev br-int
+EOF
+done
+EOI
+ fi
}
display_usage() {